use serde::{Deserialize, Serialize};

use crate::entities::{Address, Scheme};

#[derive(Debug, Clone, Default, PartialEq, Serialize, Deserialize)]
pub(crate) struct Bank {
    pub(crate) name: String,
    pub(crate) iban: String,
    pub(crate) bic: String,
}

#[derive(Debug, Clone, Default, PartialEq, Serialize, Deserialize)]
pub(crate) struct Company {
    pub(crate) address: Address,
    pub(crate) email: Option<String>,
    pub(crate) phone: Option<String>,
    pub(crate) vat: Option<String>,
    pub(crate) bank: Option<Bank>,
    pub(crate) register: Option<String>,
    pub(crate) scheme: Scheme,
}
